#version 450 core

layout(pixel_center_integer) in vec4 gl_FragCoord;

out vec4 Color;

const float NOISE_RANGE = 0.02;
const float NOISE_BASE  = 0.05;

float random(vec4 seed)
{
    return fract(sin(dot(seed, vec4(12.9898, 78.233, 45.164, 53.1324))) * 43758.5453);
}

void main()
{
    float rnd = random(gl_FragCoord);
    vec3 rbg = vec3(NOISE_BASE + NOISE_RANGE * rnd);

    Color = vec4(rbg, 1.0);
}
